function [ P_out ] = Approx_PieceWise_Linear_function( x, v_all, b_all )

P_out = zeros(size(x));
etas = (v_all(2:end) - v_all(1:end-1) ) ./ (b_all(2:end) - b_all(1:end-1) ) ;

for j = 1 : length(x)
   x_j = x(j);
   for k = 1 : length(b_all)-1
      if x_j > b_all(k) && x_j <= b_all(k+1)
          P_out(j) = etas(k)*(x_j -b_all(k)) + v_all(k);
      elseif x_j <= b_all(1)
          P_out(j) = 0;
      elseif x_j > b_all(end)
          P_out(j) = v_all(end);
      end
   end
end

end

