function [ x ] = Approx_PieceWise_Linear_function_inv( y, v_all, b_all )

x = zeros(size(y));
etas = (v_all(2:end) - v_all(1:end-1) ) ./ (b_all(2:end) - b_all(1:end-1) ) ;

for j = 1 : length(y)
   y_j = y(j);
   for k = 1 : length(v_all)-1
      if y_j > v_all(k) &&  y_j <= v_all(k+1)
          x(j) = (1/etas(k))*(y_j -v_all(k)) + b_all(k);
      elseif y_j == v_all(1)
          x(j) = b_all(1);
      end
   end
end

end

